Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface BusinessQueryManager

All Superinterfaces:
  QueryManager

public interface BusinessQueryManager
extends QueryManager

The BusinessQueryManager interface, which is exposed by the Registry Service, implements the business style query interface. It is also referred to as the focused query interface.

Author:
  Farrukh S. Najmi
See Also:
  `DeclarativeQueryManager`, `FindQualifier`, `BulkResponse`

Method Summary
`BulkResponse` | `findAssociations(java.util.Collection findQualifiers, java.lang.String sourceObjectId, java.lang.String targetObjectId, java.util.Collection associationTypes)` Finds all Association objects that match all of the criteria specified by the parameters of this call.
`BulkResponse` | `findCallerAssociations(java.util.Collection findQualifiers, java.lang.Boolean confirmedByCaller, java.lang.Boolean confirmedByOtherParty, java.util.Collection associationTypes)` Finds all Association objects owned by the caller that match all of the criteria specified by the parameters of this call.
`ClassificationScheme` | `findClassificationSchemeByName(java.util.Collection findQualifiers, java.lang.String namePattern)` Finds a ClassificationScheme by name based on the specified find qualifiers and name pattern.
`BulkResponse` | `findClassificationSchemes(java.util.Collection findQualifiers, java.util.Collection namePatterns, java.util.Collection classifications, java.util.Collection externalLinks)` Finds all ClassificationScheme objects that match all of the criteria specified by the parameters of this call.
`Concept` | `findConceptByPath(java.lang.String path)` Finds a Concept based on the path specified.
`BulkResponse` | `findConcepts(java.util.Collection findQualifiers, java.util.Collection namePatterns, java.util.Collection classifications, java.util.Collection externalIdentifiers, java.util.Collection externalLinks)` Finds all Concept objects that match all of the criteria specified by the parameters of this call.
`BulkResponse` | `findOrganizations(java.util.Collection findQualifiers, java.util.Collection namePatterns, java.util.Collection classifications, java.util.Collection specifications, java.util.Collection externalIdentifiers, java.util.Collection externalLinks)` Finds all Organization objects that match all of the criteria specified by the parameters of this call.
`BulkResponse` | `findRegistryPackages(java.util.Collection findQualifiers, java.util.Collection namePatterns, java.util.Collection classifications, java.util.Collection externalLinks)` Finds all RegistryPackage objects that match all of the criteria specified by the parameters of this call.
`BulkResponse` | `findServiceBindings(Key serviceKey, java.util.Collection findQualifiers, java.util.Collection classifications, java.util.Collection specifications)` Finds all ServiceBinding objects that match all of the criteria specified by the parameters of this call.
`BulkResponse` | `findServices(Key orgKey, java.util.Collection findQualifiers, java.util.Collection namePatterns, java.util.Collection classifications, java.util.Collection specifications)` Finds all Service objects that match all of the criteria specified by the parameters of this call.

Methods inherited from interface javax.xml.registry.QueryManager
`getRegistryObject, getRegistryObject, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryObjects, getRegistryService`

Method Detail

### findAssociations

    public BulkResponse findAssociations(java.util.Collection findQualifiers,
                                         java.lang.String sourceObjectId,
                                         java.lang.String targetObjectId,
                                         java.util.Collection associationTypes)
                                  throws JAXRException

  Finds all Association objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters. If no parameters are specified, no Associations are returned.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `sourceObjectId` - a String that represents the id for a RegistryObject that must be the sourceObject of the Associations that match. This parameter is ignored if specified as null.
    `targetObjectId` - a String that represents the id for a RegistryObject that must be the targetObject of the Associations that match. This parameter is ignored if specified as null.
    `associationTypes` - a Collection of associationTypes. This is a logical OR operation across the collection. This parameter is ignored if specified as null.
  Returns:
    a BulkResponse containing a Collection of Associations
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findCallerAssociations

    public BulkResponse findCallerAssociations(java.util.Collection findQualifiers,
                                               java.lang.Boolean confirmedByCaller,
                                               java.lang.Boolean confirmedByOtherParty,
                                               java.util.Collection associationTypes)
                                        throws JAXRException

  Finds all Association objects owned by the caller that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters. If no parameters are specified, no Associations are returned.

  This call is sensitive to the identity of the caller and is a privileged operation that requires the caller to have provided its identity credentials to the Connection associated with this object.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `confirmedByCaller` - If true, provider must include Associations involving the caller that have been confirmed by the caller. If false, provider must include Associations involving the caller that have not been confirmed by the caller. This parameter is ignored if specified as null.
    `confirmedByOtherParty` - If true, provider must include Associations involving the caller that have been confirmed by the other party. If false, provider must include Associations involving the caller that have not been confirmed by the other party. This parameter is ignored if specified as null.
    `associationTypes` - a Collection of associationTypes. This is a logical OR operation across the collection. This parameter is ignored if specified as null.
  Returns:
    a BulkResponse containing a Collection of Associations
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findOrganizations

    public BulkResponse findOrganizations(java.util.Collection findQualifiers,
                                          java.util.Collection namePatterns,
                                          java.util.Collection classifications,
                                          java.util.Collection specifications,
                                          java.util.Collection externalIdentifiers,
                                          java.util.Collection externalLinks)
                                   throws JAXRException

  Finds all Organization objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePatterns` - a Collection that may consist of either String or LocalizedString objects. Each String or value within a LocalizedString is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification. Unless otherwise specified in findQualifiers, this is a logical OR, and a match on any name qualifies as a match for this criterion.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `specifications` - a Collection of RegistryObjects that represent (proxy) a technical specification. It is analogous to a tModelBag in the UDDI specification. In the case of a UDDI provider, the RegistryObject is a specification Concept. In the case of an ebXML provider, the RegistryObject is likely to be an ExtrinsicObject. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Specifications qualifies as a match for this criterion.
    `externalIdentifiers` - a Collection of ExternalIdentifier objects that provide an external identifier for the object using an identification scheme such as DUNS. It is analogous to an identifierBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalIdentifiers qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createExternalIdentifier method to create a transient ExternalIdentifier for use in this Collection.
    `externalLinks` - a Collection of ExternalLink objects that link the object to content outside the registry. It is analogous to an overviewDoc in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalLinks qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of Organizations
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findServices

    public BulkResponse findServices(Key orgKey,
                                     java.util.Collection findQualifiers,
                                     java.util.Collection namePatterns,
                                     java.util.Collection classifications,
                                     java.util.Collection specifications)
                              throws JAXRException

  Finds all Service objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 0

  Parameters:
    `orgKey` - Key identifying an Organization. Required for UDDI providers.
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePatterns` - a Collection that may consist of either String or LocalizedString objects. Each String or value within a LocalizedString is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification. Unless otherwise specified in findQualifiers, this is a logical OR, and a match on any name qualifies as a match for this criterion.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `specifications` - a Collection of RegistryObjects that represent (proxy) a technical specification. It is analogous to a tModelBag in the UDDI specification. In the case of a UDDI provider, the RegistryObject is a specification Concept. In the case of an ebXML provider, the RegistryObject is likely to be an ExtrinsicObject. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Specifications qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of Services
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findServiceBindings

    public BulkResponse findServiceBindings(Key serviceKey,
                                            java.util.Collection findQualifiers,
                                            java.util.Collection classifications,
                                            java.util.Collection specifications)
                                     throws JAXRException

  Finds all ServiceBinding objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 0

  Parameters:
    `serviceKey` - Key identifying a Service. Required for UDDI providers.
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `specifications` - a Collection of RegistryObjects that represent (proxy) a technical specification. It is analogous to a tModelBag in the UDDI specification. In the case of a UDDI provider, the RegistryObject is a specification Concept. In the case of an ebXML provider, the RegistryObject is likely to be an ExtrinsicObject. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Specifications qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of ServiceBindings
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findClassificationSchemes

    public BulkResponse findClassificationSchemes(java.util.Collection findQualifiers,
                                                  java.util.Collection namePatterns,
                                                  java.util.Collection classifications,
                                                  java.util.Collection externalLinks)
                                           throws JAXRException

  Finds all ClassificationScheme objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePatterns` - a Collection that may consist of either String or LocalizedString objects. Each String or value within a LocalizedString is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification. Unless otherwise specified in findQualifiers, this is a logical OR, and a match on any name qualifies as a match for this criterion.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `externalLinks` - a Collection of ExternalLink objects that link the object to content outside the registry. It is analogous to an overviewDoc in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalLinks qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of ClassificationSchemes
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findClassificationSchemeByName

    public ClassificationScheme findClassificationSchemeByName(java.util.Collection findQualifiers,
                                                               java.lang.String namePattern)
                                                        throws JAXRException

  Finds a ClassificationScheme by name based on the specified find qualifiers and name pattern.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePattern` - a String that is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification
  Returns:
    the ClassificationScheme matching the namePattern, or null if no match is found.
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error. Throws an InvalidRequestException if multiple matches are found.

### findConcepts

    public BulkResponse findConcepts(java.util.Collection findQualifiers,
                                     java.util.Collection namePatterns,
                                     java.util.Collection classifications,
                                     java.util.Collection externalIdentifiers,
                                     java.util.Collection externalLinks)
                              throws JAXRException

  Finds all Concept objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 0

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePatterns` - a Collection that may consist of either String or LocalizedString objects. Each String or value within a LocalizedString is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification. Unless otherwise specified in findQualifiers, this is a logical OR, and a match on any name qualifies as a match for this criterion.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `externalIdentifiers` - a Collection of ExternalIdentifier objects that provide an external identifier for the object using an identification scheme such as DUNS. It is analogous to an identifierBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalIdentifiers qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createExternalIdentifier method to create a transient ExternalIdentifier for use in this Collection.
    `externalLinks` - a Collection of ExternalLink objects that link the object to content outside the registry. It is analogous to an overviewDoc in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalLinks qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of Concepts
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findConceptByPath

    public Concept findConceptByPath(java.lang.String path)
                              throws JAXRException

  Finds a Concept based on the path specified. If the specified path matches more than one Concept, the one that is most general (higher in the concept hierarchy) is returned.

  Capability Level: 0

  Parameters:
    `path` - a canonical path expression, as defined in the JAXR specification, that identifies the Concept.
  Returns:
    the Concept found, or null if no match is found
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

### findRegistryPackages

    public BulkResponse findRegistryPackages(java.util.Collection findQualifiers,
                                             java.util.Collection namePatterns,
                                             java.util.Collection classifications,
                                             java.util.Collection externalLinks)
                                      throws JAXRException

  Finds all RegistryPackage objects that match all of the criteria specified by the parameters of this call. This is a logical AND operation between all non-null parameters.

  Capability Level: 1

  Parameters:
    `findQualifiers` - a Collection of find qualifiers as defined by the FindQualifier interface, which specifies qualifiers that affect string matching, sorting, boolean predicate logic, and the like.
    `namePatterns` - a Collection that may consist of either String or LocalizedString objects. Each String or value within a LocalizedString is a partial or full name pattern with wildcard searching as specified by the SQL-92 LIKE specification. Unless otherwise specified in findQualifiers, this is a logical OR, and a match on any name qualifies as a match for this criterion.
    `classifications` - a Collection of Classification objects that classify the object. It is analogous to a catgegoryBag in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified Classifications qualifies as a match for this criterion. The programmer may use the LifeCycleManager.createClassification method to create a transient Classification for use in this Collection.
    `externalLinks` - a Collection of ExternalLink objects that link the object to content outside the registry. It is analogous to an overviewDoc in the UDDI specification. Unless otherwise specified in findQualifiers, this is a logical AND, and a match on all specified ExternalLinks qualifies as a match for this criterion.
  Returns:
    a BulkResponse containing a Collection of RegistryPackages
  Throws:
    `JAXRException` - if the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.